Preview an external URL for submission

POST/playlists/:playlistId/preview-external

Fetch title, description, image and schedules from an external URL's OG / JSON-LD for the submission form. Only available on playlists that accept submissions.

AuthLogin required

Path parameters

playlistIdstringrequired

Playlist ID.

Request body

urlstringrequired

External URL to preview (https only).

Request
curl https://api.4s.link/playlists/PLAYLIST_ID/preview-external \
-X POST \
-H "Authorization: Bearer 4s_at_..." \
-H "Content-Type: application/json" \
-d '{
"url": "https://example.com/events/summer-meetup"
}'
Example response
{
"canonicalUrl": "https://example.com/events/summer-meetup",
"title": "Summer Meetup",
"description": "...",
"imageUrl": "https://example.com/ogp.png",
"schedules": []
}